import request from '@/utils/request'

// 查询积分日志列表
export function listIntegralLog(query) {
  return request({
    url: '/system/IntegralLog/list',
    method: 'get',
    params: query
  })
}

// 查询积分日志详细
export function getIntegralLog(id) {
  return request({
    url: '/system/IntegralLog/' + id,
    method: 'get'
  })
}

// 查询wechat_transfer详细
export function getUserDataList(type) {
  return request({
    url: '/system/transfer/getUsersDataList/'+type,
    method: 'get'
  })
}

// 新增积分日志
export function addIntegralLog(data) {
  return request({
    url: '/system/IntegralLog',
    method: 'post',
    data: data
  })
}

// 修改积分日志
export function updateIntegralLog(data) {
  return request({
    url: '/system/IntegralLog',
    method: 'put',
    data: data
  })
}

// 删除积分日志
export function delIntegralLog(id) {
  return request({
    url: '/system/IntegralLog/' + id,
    method: 'delete'
  })
}
